#ifndef KEY_USB_CODE_H
#define KEY_USB_CODE_H

#include "USBHIDKeyboard.h"

#define KEY_USB_A 'a' // a and A
#define KEY_USB_B 'b' // b and B
#define KEY_USB_C 'c' // c and C
#define KEY_USB_D 'd' // d and D
#define KEY_USB_E 'e' // e and E
#define KEY_USB_F 'f' // f and F
#define KEY_USB_G 'g' // g and G
#define KEY_USB_H 'h' // h and H
#define KEY_USB_I 'i' // i and I
#define KEY_USB_J 'j' // j and J
#define KEY_USB_K 'k' // k and K
#define KEY_USB_L 'l' // l and L
#define KEY_USB_M 'm' // m and M
#define KEY_USB_N 'n' // n and N
#define KEY_USB_O 'o' // o and O
#define KEY_USB_P 'p' // p and P
#define KEY_USB_Q 'q' // q and Q
#define KEY_USB_R 'r' // r and R
#define KEY_USB_S 's' // s and S
#define KEY_USB_T 't' // t and T
#define KEY_USB_U 'u' // u and U
#define KEY_USB_V 'v' // v and V
#define KEY_USB_W 'w' // w and W
#define KEY_USB_X 'x' // x and X
#define KEY_USB_Y 'y' // y and Y
#define KEY_USB_Z 'z' // z and Z
#define KEY_USB_1 '1' // 1 and !
#define KEY_USB_2 '2' // 2 and @
#define KEY_USB_3 '3' // 3 and #
#define KEY_USB_4 '4' // 4 and $
#define KEY_USB_5 '5' // 5 and %
#define KEY_USB_6 '6' // 6 and ^
#define KEY_USB_7 '7' // 7 and &
#define KEY_USB_8 '8' // 8 and *
#define KEY_USB_9 '9' // 9 and (
#define KEY_USB_0 '0' // 0 and )
#define KEY_USB_SPACE ' '       // Space(空格)
#define KEY_USB_SUB '-'         // - and _
#define KEY_USB_EQUAL '='       // = and +
#define KEY_USB_LBRACKET '['    // [ and {
#define KEY_USB_RBRACKET ']'    // ] and }
#define KEY_USB_BSLASH '\\'      // \ and |
#define KEY_USB_SEMICOLON ';'   // ; and :
#define KEY_USB_SQUOTES '\''     // ' and "
#define KEY_USB_SEPARATOR '`'   // ` and ~
#define KEY_USB_COMMA ','       // , and <
#define KEY_USB_FSTOP '.'       // . and >
#define KEY_USB_FSLASH '/'      // / and ?

#define KEY_USB_BACKSPACE 0xB2   // Backspace
#define KEY_USB_TAB 0xB3         // Tab
#define KEY_USB_CAPS_LOCK 0xC1   // CapsLock

#define KEY_USB_ENTER 0xB0       // Return(ENTER)
#define KEY_USB_RETURN 0xB0      // Return(ENTER)
#define KEY_USB_HOME 0xD2        // Home

#define KEY_USB_LEFT_CTRL 0x80   // LeftControl(左CTRL)
#define KEY_USB_LEFT_SHIFT 0x81  // LeftShift(左Shift)
#define KEY_USB_LEFT_ALT 0x82    // LeftAlt(左Alt)
#define KEY_USB_LEFT_GUI 0x83    // LeftGUI(左GUI)
#define KEY_USB_RIGHT_CTRL 0x84  // RightControl(右CTRL)
#define KEY_USB_RIGHT_SHIFT 0x85 // RightShift(右Shift)
#define KEY_USB_RIGHT_ALT 0x86   // RightAlt(右Alt)
#define KEY_USB_RIGHT_GUI 0x87   // RightGUI(右GUI)

//#define KEY_USB_MENU 0x65        //Menu
#define KEY_USB_PAGE_UP     0xD3
#define KEY_USB_PAGE_DOWN   0xD6
#define KEY_USB_INSERT 0xD1
#define KEY_USB_END    0xD5
#define KEY_USB_ESC 0xB1         // ESC
#define KEY_USB_F1 0xC2         // F1(按下Fn键才可以使用)
#define KEY_USB_F2 0xC3          // F2
#define KEY_USB_F3 0xC4          // F3
#define KEY_USB_F4 0xC5          // F4
#define KEY_USB_F5 0xC6          // F5
#define KEY_USB_F6 0xC7          // F6
#define KEY_USB_F7 0xC8          // F7
#define KEY_USB_F8 0xC9          // F8
#define KEY_USB_F9 0xCA          // F9
#define KEY_USB_F10 0xCB         // F10
#define KEY_USB_F11 0xCC         // F11
#define KEY_USB_F12 0xCD         // F12
#define KEY_USB_F13 0xF0         // F13
#define KEY_USB_F14 0xF1         // F14
#define KEY_USB_F15 0xF2         // F15
#define KEY_USB_DELETE 0xD4      // DELETE
#define KEY_USB_RIGHT_ARROW 0xD7 // →
#define KEY_USB_LEFT_ARROW 0xD8  // ←
#define KEY_USB_DOWN_ARROW 0xD9  // ↓
#define KEY_USB_UP_ARROW 0xDA    // ↑
#endif
